Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZMultiPriceType Class Reference

Stores a price in multicurrency. More...

Inheritance diagram for eZMultiPriceType:

## Public Member Functions
| __construct ()
| validateObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| storeObjectAttribute ( $attribute)
| initializeClassAttribute ( $classAttribute)
| initializeObjectAttribute ( $contentObjectAttribute, $currentVersion, $originalContentObjectAttribute)
| postInitializeObjectAttribute ( $objectAttribute, $currentVersion, $originalContentObjectAttribute)
| fetchClassAttributeHTTPInput ( $http, $base, $classAttribute)
| fetchObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| objectAttributeContent ( $contentObjectAttribute)
| classAttributeContent ( $classAttribute)
| customObjectAttributeHTTPAction ( $http, $action, $contentObjectAttribute, $parameters)
| contentActionList ( $classAttribute)
| deleteStoredObjectAttribute ( $objectAttribute, $version=null)
| title ( $contentObjectAttribute, $name=null)
| hasObjectAttributeContent ( $contentObjectAttribute)
| toString ( $contentObjectAttribute)
| fromString ( $contentObjectAttribute, $string)
| serializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| unserializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| serializeContentObjectAttribute ( $package, $objectAttribute)
| unserializeContentObjectAttribute ( $package, $objectAttribute, $attributeNode)
| customSorting ()
| customSortingSQL ( $params)
| diff ( $old, $new, $options=false)
| supportsBatchInitializeObjectAttribute ()
Public Member Functions inherited from eZDataType
| __construct ( $dataTypeString, $name, $properties=array())
| eZDataType ( $dataTypeString, $name, $properties=array())
| viewTemplate ( $contentobjectAttribute)
| editTemplate ( $contentobjectAttribute)
| informationTemplate ( $contentobjectAttribute)
| resultTemplate (&$collectionAttribute)
| isA ()
| isTranslatable ()
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| isHTTPFileInsertionSupported ()
| isRegularFileInsertionSupported ()
| isSimpleStringInsertionSupported ()
| isRelationType ()
| insertHTTPFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $httpFile, $mimeData, &$result)
| insertRegularFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $filePath, &$result)
| insertSimpleString ( $object, $objectVersion, $objectLanguage, $objectAttribute, $string, &$result)
| hasStoredFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| handleDownload ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| storedFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| productOptionInformation ( $objectAttribute, $optionID, $productItem)
| objectDisplayInformation ( $objectAttribute, $mergeInfo=false)
| classDisplayInformation ( $classAttribute, $mergeInfo=false)
| onPublish ( $contentObjectAttribute, $contentObject, $publishedNodes)
| preStoreClassAttribute ( $classAttribute, $version)
| storeClassAttribute ( $classAttribute, $version)
| storeDefinedClassAttribute ( $classAttribute)
| storeModifiedClassAttribute ( $classAttribute)
| storeVersionedClassAttribute ( $classAttribute, $version)
| preStoreDefinedClassAttribute ( $classAttribute)
| preStoreModifiedClassAttribute ( $classAttribute)
| preStoreVersionedClassAttribute ( $classAttribute, $version)
| validateClassAttributeHTTPInput ( $http, $base, $classAttribute)
| fixupClassAttributeHTTPInput ( $http, $base, $classAttribute)
| customClassAttributeHTTPAction ( $http, $action, $classAttribute)
| fetchActionValue ( $action, $actionName, &$value)
| fixupObjectAttributeHTTPInput ( $http, $base, $objectAttribute)
| validateCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| fixupCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| fetchCollectionAttributeHTTPInput ( $collection, $collectionAttribute, $http, $base, $objectAttribute)
| handleCustomObjectHTTPActions ( $http, $attributeDataBaseName, $customActionAttributeArray, $customActionParameters)
| cloneClassAttribute ( $oldClassAttribute, $newClassAttribute)
| repairContentObjectAttribute ( $contentObjectAttribute)
| postStore ( $objectAttribute)
| trashStoredObjectAttribute ( $objectAttribute, $version=null)
| restoreTrashedObjectAttribute ( $objectAttribute)
| deleteStoredClassAttribute ( $classAttribute, $version=null)
| deleteNotVersionedStoredClassAttribute (eZContentClassAttribute $classAttribute)
| hasInformationCollection ()
| isIndexable ()
| isAddToBasketValidationRequired ()
| validateAddToBasket ( $objectAttribute, $data, &$errors)
| isClassAttributeRemovable ( $classAttribute)
| classAttributeRemovableInformation ( $classAttribute, $includeAll=true)
| isInformationCollector ()
| sortKey ( $objectAttribute)
| sortKeyType ()
| metaData ( $contentObjectAttribute)
| templateList ()
| postUnserializeContentObjectAttribute ( $package, $objectAttribute)
| removeRelatedObjectItem ( $contentObjectAttribute, $objectID)
| fixRelatedObjectItem ( $contentObjectAttribute, $objectID, $mode)
| createContentObjectAttributeDOMNode ( $objectAttribute)
| getDBAFileName ()
| getDBAFilePath ( $checkExtensions=true)
| getDBAExtensionFilePath ()
| importDBDataFromDBAFile ( $dbaFilePath=false)
| batchInitializeObjectAttributeData ( $classAttribute)

## Public Attributes
const | DATA_TYPE_STRING = 'ezmultiprice'
const | DEFAULT_CURRENCY_CODE_FIELD = 'data_text1'
const | DEFAULT_CURRENCY_CODE_VARIABLE = '_ezmultiprice_currency_code_'
const | INCLUDE_VAT_FIELD = 'data_int1'
const | INCLUDE_VAT_VARIABLE = '_ezmultiprice_include_vat_'
const | VAT_ID_FIELD = 'data_float1'
const | VAT_ID_VARIABLE = '_ezmultiprice_vat_id_'
const | INCLUDED_VAT = 1
const | EXCLUDED_VAT = 2
Public Attributes inherited from eZDataType
| $Attributes
| $DataTypeString
| The datatype string ID, used for uniquely identifying a datatype. More...
| $Name
| The descriptive name of the datatype, usually used for displaying to the user. More...

## Additional Inherited Members
Static Public Member Functions inherited from eZDataType
static | create ( $dataTypeString)
static | registeredDataTypes ()
static | register ( $dataTypeString, $className)
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | loadAndRegisterType ( $type)

## Detailed Description

Stores a price in multicurrency.

Definition at line 18 of file ezmultipricetype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZMultiPriceType::__construct | ( |  | ) |

Definition at line 30 of file ezmultipricetype.php.

References ezpI18n\tr().

## Member Function Documentation

## ◆ classAttributeContent()

eZMultiPriceType::classAttributeContent | ( |  | $classAttribute | ) |

Returns class content.

Reimplemented from eZDataType.

Definition at line 214 of file ezmultipricetype.php.

## ◆ contentActionList()

eZMultiPriceType::contentActionList | ( |  | $classAttribute | ) |

Return content action(s) which can be performed on object containing the current datatype. Return format is array of arrays with key 'name' and 'action'. 'action' can be mapped to url in datatype.ini

Parameters

  eZContentClassAttribute | $classAttribute |

Returns
  array

Reimplemented from eZDataType.

Definition at line 274 of file ezmultipricetype.php.

References ezpI18n\tr().

## ◆ customObjectAttributeHTTPAction()

eZMultiPriceType::customObjectAttributeHTTPAction | ( |  | $http,
|  |  | $action,
|  |  | $objectAttribute,
|  |  | $parameters
| ) |  |

Executes a custom action for an object attribute which was defined on the web page.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 221 of file ezmultipricetype.php.

References eZDebug\writeError().

## ◆ customSorting()

eZMultiPriceType::customSorting | ( |  | ) |

Reimplemented from eZDataType.

Definition at line 467 of file ezmultipricetype.php.

## ◆ customSortingSQL()

eZMultiPriceType::customSortingSQL | ( |  | $params | ) |

Reimplemented from eZDataType.

Definition at line 472 of file ezmultipricetype.php.

## ◆ deleteStoredObjectAttribute()

eZMultiPriceType::deleteStoredObjectAttribute | ( |  | $objectAttribute,
|  |  | $version = `null`
| ) |  |

Clean up stored object attribute

Reimplemented from eZDataType.

Definition at line 289 of file ezmultipricetype.php.

References eZMultiPrice\removeByID().

## ◆ diff()

eZMultiPriceType::diff | ( |  | $old,
|  |  | $new,
|  |  | $options = `false`
| ) |  |

Method used by content diff system to retrieve changes in attributes. This method implements the default behaviour, which is to show old and new version values of the object.

Reimplemented from eZDataType.

Definition at line 517 of file ezmultipricetype.php.

## ◆ fetchClassAttributeHTTPInput()

eZMultiPriceType::fetchClassAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $classAttribute
| ) |  |

Fetches the HTTP input for the content class attribute.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 139 of file ezmultipricetype.php.

## ◆ fetchObjectAttributeHTTPInput()

eZMultiPriceType::fetchObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Fetches the http post var integer input and stores it in the data instance.

Reimplemented from eZDataType.

Definition at line 166 of file ezmultipricetype.php.

## ◆ fromString()

eZMultiPriceType::fromString | ( |  | $contentObjectAttribute,
|  |  | $string
| ) |  |

Reimplemented from eZDataType.

Definition at line 331 of file ezmultipricetype.php.

## ◆ hasObjectAttributeContent()

eZMultiPriceType::hasObjectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns
  `true` if the datatype finds any content in the attribute $contentObjectAttribute.

Reimplemented from eZDataType.

Definition at line 299 of file ezmultipricetype.php.

## ◆ initializeClassAttribute()

eZMultiPriceType::initializeClassAttribute | ( |  | $classAttribute | ) |

Set default class attribute value

Reimplemented from eZDataType.

Definition at line 91 of file ezmultipricetype.php.

## ◆ initializeObjectAttribute()

eZMultiPriceType::initializeObjectAttribute | ( |  | $contentObjectAttribute,
|  |  | $currentVersion,
|  |  | $originalContentObjectAttribute
| ) |  |

Sets the default value.

Reimplemented from eZDataType.

Definition at line 101 of file ezmultipricetype.php.

## ◆ objectAttributeContent()

eZMultiPriceType::objectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns the content.

Reimplemented from eZDataType.

Definition at line 195 of file ezmultipricetype.php.

## ◆ postInitializeObjectAttribute()

eZMultiPriceType::postInitializeObjectAttribute | ( |  | $objectAttribute,
|  |  | $currentVersion,
|  |  | $originalContentObjectAttribute
| ) |  |

Set default object attribute value.

Reimplemented from eZDataType.

Definition at line 113 of file ezmultipricetype.php.

## ◆ serializeContentClassAttribute()

eZMultiPriceType::serializeContentClassAttribute | ( |  | $classAttribute,
|  |  | $attributeNode,
|  |  | $attributeParametersNode
| ) |  |

Adds the necessary dom structure to the attribute parameters.

Note
  The default is to add unsupported='true' to the attribute node, meaning that the datatype does not support serializing.

Reimplemented from eZDataType.

Definition at line 370 of file ezmultipricetype.php.

## ◆ serializeContentObjectAttribute()

eZMultiPriceType::serializeContentObjectAttribute | ( |  | $package,
|  |  | $objectAttribute
| ) |  |

Parameters

  package |
  objectAttribute | content attribute

Returns
  a DOM representation of the content object attribute

Reimplemented from eZDataType.

Definition at line 446 of file ezmultipricetype.php.

References eZDataType\createContentObjectAttributeDOMNode().

## ◆ storeObjectAttribute()

eZMultiPriceType::storeObjectAttribute | ( |  | $objectAttribute | ) |

Stores the datatype data to the database which is related to the object attribute.

Returns
  True if the value was stored correctly.

Note
  The method is entirely up to the datatype, for instance it could reuse the available types in the the attribute or store in a separate object.

See also
  fetchObjectAttributeHTTPInput

Reimplemented from eZDataType.

Definition at line 82 of file ezmultipricetype.php.

## ◆ supportsBatchInitializeObjectAttribute()

eZMultiPriceType::supportsBatchInitializeObjectAttribute | ( |  | ) |

Reimplemented from eZDataType.

Definition at line 522 of file ezmultipricetype.php.

## ◆ title()

eZMultiPriceType::title | ( |  | $objectAttribute,
|  |  | $name = `null`
| ) |  |

Returns the title of the current type, this is to form the title of the object.

Reimplemented from eZDataType.

Definition at line 294 of file ezmultipricetype.php.

## ◆ toString()

eZMultiPriceType::toString | ( |  | $objectAttribute | ) |

Returns
  string representation of an contentobjectattribute data for simplified export

Reimplemented from eZDataType.

Definition at line 304 of file ezmultipricetype.php.

References eZStringUtils\implodeStr().

## ◆ unserializeContentClassAttribute()

eZMultiPriceType::unserializeContentClassAttribute | ( |  | $classAttribute,
|  |  | $attributeNode,
|  |  | $attributeParametersNode
| ) |  |

Extracts values from the attribute parameters and sets it in the class attribute.

Note
  This function is called after the attribute has been stored and a second store is called after this function is done.

Reimplemented from eZDataType.

Definition at line 406 of file ezmultipricetype.php.

References eZVatType\create(), EXCLUDED_VAT, eZVatType\fetchList(), and INCLUDED_VAT.

## ◆ unserializeContentObjectAttribute()

eZMultiPriceType::unserializeContentObjectAttribute | ( |  | $package,
|  |  | $objectAttribute,
|  |  | $attributeNode
| ) |  |

Unserialize contentobject attribute

Parameters

  package |
  objectAttribute | contentobject attribute object
  attributeNode | ezdomnode object

Reimplemented from eZDataType.

Definition at line 459 of file ezmultipricetype.php.

## ◆ validateObjectAttributeHTTPInput()

eZMultiPriceType::validateObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Validates the input and returns true if the input was valid for this datatype.

Reimplemented from eZDataType.

Definition at line 40 of file ezmultipricetype.php.

References eZInputValidator\STATE_ACCEPTED, eZInputValidator\STATE_INVALID, and ezpI18n\tr().

## Member Data Documentation

## ◆ DATA_TYPE_STRING

const eZMultiPriceType::DATA_TYPE_STRING = 'ezmultiprice'

Definition at line 20 of file ezmultipricetype.php.

## ◆ DEFAULT_CURRENCY_CODE_FIELD

const eZMultiPriceType::DEFAULT_CURRENCY_CODE_FIELD = 'data_text1'

Definition at line 21 of file ezmultipricetype.php.

## ◆ DEFAULT_CURRENCY_CODE_VARIABLE

const eZMultiPriceType::DEFAULT_CURRENCY_CODE_VARIABLE = '_ezmultiprice_currency_code_'

Definition at line 22 of file ezmultipricetype.php.

## ◆ EXCLUDED_VAT

const eZMultiPriceType::EXCLUDED_VAT = 2

Definition at line 28 of file ezmultipricetype.php.

Referenced by unserializeContentClassAttribute().

## ◆ INCLUDE_VAT_FIELD

const eZMultiPriceType::INCLUDE_VAT_FIELD = 'data_int1'

Definition at line 23 of file ezmultipricetype.php.

Referenced by eZMultiPrice\__construct().

## ◆ INCLUDE_VAT_VARIABLE

const eZMultiPriceType::INCLUDE_VAT_VARIABLE = '_ezmultiprice_include_vat_'

Definition at line 24 of file ezmultipricetype.php.

## ◆ INCLUDED_VAT

const eZMultiPriceType::INCLUDED_VAT = 1

Definition at line 27 of file ezmultipricetype.php.

Referenced by unserializeContentClassAttribute().

## ◆ VAT_ID_FIELD

const eZMultiPriceType::VAT_ID_FIELD = 'data_float1'

Definition at line 25 of file ezmultipricetype.php.

Referenced by eZMultiPrice\__construct().

## ◆ VAT_ID_VARIABLE

const eZMultiPriceType::VAT_ID_VARIABLE = '_ezmultiprice_vat_id_'

Definition at line 26 of file ezmultipricetype.php.

The documentation for this class was generated from the following file:

- ezmultipricetype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.